### Virtual Method

# Ide Formatter format_async

#### Declaration

    void
    format_async (
      IdeFormatter* self,
      IdeBuffer* buffer,
      IdeFormatterOptions* options,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

No description available.

#### Parameters

`buffer` | `IdeBuffer`
| No description available.
| The data is owned by the caller of the function.
`options` | `IdeFormatterOptions`
| No description available.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| No description available.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| No description available.
`user_data` | `gpointer`
| No description available.
| The argument can be `NULL`.
| The data is owned by the caller of the function.